Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.menu
Interface DynamicMenuProvider

All Known Implementing Classes:
  DirectoryProvider, FavoritesProvider, MacrosProvider, MarkersProvider, PluginsProvider, RecentDirectoriesProvider, RecentFilesProvider, ReloadWithEncodingProvider

    public interface DynamicMenuProvider

Interface for a pull-down menu whose contents are determined at runtime.

See `EditPlugin` for properties you need to define to have your plugin provide a dynamic menu.

Since:
  jEdit 4.2pre2

Method Summary
`void` | `update(javax.swing.JMenu menu)` Adds the menu items to the given menu.
`boolean` | `updateEveryTime()` Returns true if the menu should be updated each time it is shown.

Method Detail

### updateEveryTime

    boolean updateEveryTime()

  Returns true if the menu should be updated each time it is shown. Otherwise, it will only be updated when the menu is first created, and if the menu receives a `DynamicMenuChanged` message.

### update

    void update(javax.swing.JMenu menu)

  Adds the menu items to the given menu.

  Parameters:
    `menu` - The menu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD